/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FUNCTIONLISTBOX_H
#define FUNCTIONLISTBOX_H

#include <qlistview.h>
#include <qevent.h>
#include <qdragobject.h>

class MainWindow;

class PlasmFunctionListBox : public QListView
{
        Q_OBJECT
public:
        PlasmFunctionListBox(QWidget *parent = 0, const char *name = 0);

protected:
        void startDrag();
        virtual void contentsMousePressEvent(QMouseEvent *event);
        virtual void contentsMouseMoveEvent(QMouseEvent *event);
        virtual void contentsDragEnterEvent (QDragEnterEvent *event);
        virtual void contentsDragMoveEvent (QDragMoveEvent *event);
        virtual void contentsDropEvent (QDropEvent *event);

private:
        QPoint dragPos;
};

#endif

